package com.persagy.apm.energy.report.config.itemgroup.service;

import com.persagy.apm.energy.report.config.itemgroup.model.*;
import com.persagy.apm.energy.report.config.itemgroup.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 分项分组(ItemGroup) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:17:45
 */
public interface IItemGroupService {

    /**
     * 创建分项分组
     *
     * @param addItemGroupDTO addDTO
     * @return 分项分组主键
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    String createItemGroup(AddItemGroupDTO addItemGroupDTO);

    /**
     * 分项分组详情
     *
     * @param id 主键
     * @return 分项分组do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    ItemGroup queryItemGroupDetail(String id);

    /**
     * 更新分项分组
     *
     * @param updateItemGroupDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    void updateItemGroup(UpdateItemGroupDTO updateItemGroupDTO);

    /**
     * 删除分项分组
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    void deleteItemGroup(String id);

    /**
     * 查询分项分组
     *
     * @param queryItemGroupDTO queryDTO
     * @return List<ItemGroup>
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    List<ItemGroup> queryItemGroupList(QueryItemGroupDTO queryItemGroupDTO);

    /**
     * 分页查询分项分组
     *
     * @param pageQueryItemGroupDTO pageQueryDTO
     * @return IPage<ItemGroup>
     * @author lixing
     * @version V1.0 2021-05-19 11:17:45
     */
    IPage<ItemGroup> pageQueryItemGroup(PageQueryItemGroupDTO pageQueryItemGroupDTO);
}
