package com.persagy.apm.energy.report.config.rel.detailmodel.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.config.rel.detailmodel.model.vo.*;
import com.persagy.apm.energy.report.config.rel.detailmodel.model.dto.*;

import java.util.List;

/**
 * 报告模型关联关系(ReportDetailModelRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:11 2021-05-19 11:19:11
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportDetailModelRelTool {

    ConvertReportDetailModelRelTool INSTANCE = Mappers.getMapper(ConvertReportDetailModelRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportDetailModelRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:11
     */
    ResponseReportDetailModelRelItemVO convert2ResponseItemDTO(ReportDetailModelRel reportDetailModelRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportDetailModelRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:11
     */
    ResponseReportDetailModelRelListItemVO convert2ResponseListItemDTO(ReportDetailModelRel reportDetailModelRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportDetailModelRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-19 11:19:11
     */
    List<ResponseReportDetailModelRelListItemVO> convert2List(List<ReportDetailModelRel> reportDetailModelRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportDetailModelRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:11
     */
    ReportDetailModelRel convertAddDto2Entity(AddReportDetailModelRelDTO addReportDetailModelRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportDetailModelRel          更新前的do对象
     * @param updateReportDetailModelRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:11
     */
    ReportDetailModelRel convertUpdateDto2Entity(@MappingTarget ReportDetailModelRel reportDetailModelRel, UpdateReportDetailModelRelDTO updateReportDetailModelRelDTO);
}

