package com.persagy.apm.energy.report.config.rel.detailmodel.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告模型关联关系(ReportDetailModelRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:10
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告模型关联关系")
public class ReportDetailModelRel extends AuditableEntity<ReportDetailModelRel> implements Serializable {
    private static final long serialVersionUID = -32859202038112682L;

    @ApiModelProperty("报告详情主键")
    private String reportDetailId;

    @ApiModelProperty("模型编码")
    private String modelCode;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty("备注")
    private String remark;


    public static String PROP_REPORT_DETAIL_ID = "report_detail_id";
    public static String PROP_MODEL_CODE = "model_code";
    public static String PROP_REPORT_TYPE_ID = "report_type_id";
    public static String PROP_UNQUALIFIED_REASON = "unqualified_reason";
    public static String PROP_REMARK = "remark";

}
