package com.persagy.apm.energy.report.config.rel.detailmodel.service;

import com.persagy.apm.energy.report.config.rel.detailmodel.model.*;
import com.persagy.apm.energy.report.config.rel.detailmodel.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告模型关联关系(ReportDetailModelRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:09
 */
public interface IReportDetailModelRelService {

    /**
     * 创建报告模型关联关系
     *
     * @param addReportDetailModelRelDTO addDTO
     * @return 报告模型关联关系主键
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    String createReportDetailModelRel(AddReportDetailModelRelDTO addReportDetailModelRelDTO);

    /**
     * 报告模型关联关系详情
     *
     * @param id 主键
     * @return 报告模型关联关系do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    ReportDetailModelRel queryReportDetailModelRelDetail(String id);

    /**
     * 更新报告模型关联关系
     *
     * @param updateReportDetailModelRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    void updateReportDetailModelRel(UpdateReportDetailModelRelDTO updateReportDetailModelRelDTO);

    /**
     * 删除报告模型关联关系
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    void deleteReportDetailModelRel(String id);

    /**
     * 查询报告模型关联关系
     *
     * @param queryReportDetailModelRelDTO queryDTO
     * @return List<ReportDetailModelRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    List<ReportDetailModelRel> queryReportDetailModelRelList(QueryReportDetailModelRelDTO queryReportDetailModelRelDTO);

    /**
     * 分页查询报告模型关联关系
     *
     * @param pageQueryReportDetailModelRelDTO pageQueryDTO
     * @return IPage<ReportDetailModelRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:19:09
     */
    IPage<ReportDetailModelRel> pageQueryReportDetailModelRel(PageQueryReportDetailModelRelDTO pageQueryReportDetailModelRelDTO);
}
