package com.persagy.apm.energy.report.config.rel.modelitem.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 能耗模型与分项关联关系(ModelItemRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:16:54
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "能耗模型与分项关联关系")
public class ModelItemRel extends AuditableEntity<ModelItemRel> implements Serializable {
    private static final long serialVersionUID = -72765023965462621L;

    @ApiModelProperty("能耗模型编码")
    private String modelCode;

    @ApiModelProperty("分项分组id")
    private String itemGroupId;

    @ApiModelProperty("分项编码")
    private String itemCode;


    public static String PROP_MODEL_CODE = "model_code";
    public static String PROP_ITEM_GROUP_ID = "item_group_id";
    public static String PROP_ITEM_CODE = "item_code";

}
