package com.persagy.apm.energy.report.config.rel.modelitem.service;

import com.persagy.apm.energy.report.config.rel.modelitem.model.*;
import com.persagy.apm.energy.report.config.rel.modelitem.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 能耗模型与分项关联关系(ModelItemRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:16:45
 */
public interface IModelItemRelService {

    /**
     * 创建能耗模型与分项关联关系
     *
     * @param addModelItemRelDTO addDTO
     * @return 能耗模型与分项关联关系主键
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    String createModelItemRel(AddModelItemRelDTO addModelItemRelDTO);

    /**
     * 能耗模型与分项关联关系详情
     *
     * @param id 主键
     * @return 能耗模型与分项关联关系do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    ModelItemRel queryModelItemRelDetail(String id);

    /**
     * 更新能耗模型与分项关联关系
     *
     * @param updateModelItemRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    void updateModelItemRel(UpdateModelItemRelDTO updateModelItemRelDTO);

    /**
     * 删除能耗模型与分项关联关系
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    void deleteModelItemRel(String id);

    /**
     * 查询能耗模型与分项关联关系
     *
     * @param queryModelItemRelDTO queryDTO
     * @return List<ModelItemRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    List<ModelItemRel> queryModelItemRelList(QueryModelItemRelDTO queryModelItemRelDTO);

    /**
     * 分页查询能耗模型与分项关联关系
     *
     * @param pageQueryModelItemRelDTO pageQueryDTO
     * @return IPage<ModelItemRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:16:45
     */
    IPage<ModelItemRel> pageQueryModelItemRel(PageQueryModelItemRelDTO pageQueryModelItemRelDTO);
}
