package com.persagy.apm.energy.report.config.rel.typemodel.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.config.rel.typemodel.model.vo.*;
import com.persagy.apm.energy.report.config.rel.typemodel.model.dto.*;

import java.util.List;

/**
 * 报告类型和模型关联关系(ReportTypeModelRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:58 2021-05-19 11:19:58
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportTypeModelRelTool {

    ConvertReportTypeModelRelTool INSTANCE = Mappers.getMapper(ConvertReportTypeModelRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportTypeModelRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:58
     */
    ResponseReportTypeModelRelItemVO convert2ResponseItemDTO(ReportTypeModelRel reportTypeModelRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportTypeModelRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:58
     */
    ResponseReportTypeModelRelListItemVO convert2ResponseListItemDTO(ReportTypeModelRel reportTypeModelRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportTypeModelRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-19 11:19:58
     */
    List<ResponseReportTypeModelRelListItemVO> convert2List(List<ReportTypeModelRel> reportTypeModelRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportTypeModelRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:58
     */
    ReportTypeModelRel convertAddDto2Entity(AddReportTypeModelRelDTO addReportTypeModelRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportTypeModelRel          更新前的do对象
     * @param updateReportTypeModelRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:58
     */
    ReportTypeModelRel convertUpdateDto2Entity(@MappingTarget ReportTypeModelRel reportTypeModelRel, UpdateReportTypeModelRelDTO updateReportTypeModelRelDTO);
}

