package com.persagy.apm.energy.report.config.rel.typemodel.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告类型和模型关联关系(ReportTypeModelRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:57
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告类型和模型关联关系")
public class ReportTypeModelRel extends AuditableEntity<ReportTypeModelRel> implements Serializable {
    private static final long serialVersionUID = -83806086985843326L;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("模型编码")
    private String modelCode;

    @ApiModelProperty("模型来源")
    private String modelSource;

    @ApiModelProperty("关联类型, 1: 费用，2：用电量")
    private String relType;

    @ApiModelProperty("模型合格的标准")
    private String modelStandardValue;

    @ApiModelProperty("模型合格的判断公式")
    private String modelQualifyFormula;


    public static String PROP_REPORT_TYPE_ID = "report_type_id";
    public static String PROP_MODEL_CODE = "model_code";
    public static String PROP_MODEL_SOURCE = "model_source";
    public static String PROP_REL_TYPE = "rel_type";
    public static String PROP_MODEL_STANDARD_VALUE = "model_standard_value";
    public static String PROP_MODEL_QUALIFY_FORMULA = "model_qualify_formula";

}
