package com.persagy.apm.energy.report.config.rel.typemodel.service;

import com.persagy.apm.energy.report.config.rel.typemodel.model.*;
import com.persagy.apm.energy.report.config.rel.typemodel.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告类型和模型关联关系(ReportTypeModelRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:19:56
 */
public interface IReportTypeModelRelService {

    /**
     * 创建报告类型和模型关联关系
     *
     * @param addReportTypeModelRelDTO addDTO
     * @return 报告类型和模型关联关系主键
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    String createReportTypeModelRel(AddReportTypeModelRelDTO addReportTypeModelRelDTO);

    /**
     * 报告类型和模型关联关系详情
     *
     * @param id 主键
     * @return 报告类型和模型关联关系do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    ReportTypeModelRel queryReportTypeModelRelDetail(String id);

    /**
     * 更新报告类型和模型关联关系
     *
     * @param updateReportTypeModelRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    void updateReportTypeModelRel(UpdateReportTypeModelRelDTO updateReportTypeModelRelDTO);

    /**
     * 删除报告类型和模型关联关系
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    void deleteReportTypeModelRel(String id);

    /**
     * 查询报告类型和模型关联关系
     *
     * @param queryReportTypeModelRelDTO queryDTO
     * @return List<ReportTypeModelRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    List<ReportTypeModelRel> queryReportTypeModelRelList(QueryReportTypeModelRelDTO queryReportTypeModelRelDTO);

    /**
     * 分页查询报告类型和模型关联关系
     *
     * @param pageQueryReportTypeModelRelDTO pageQueryDTO
     * @return IPage<ReportTypeModelRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:19:56
     */
    IPage<ReportTypeModelRel> pageQueryReportTypeModelRel(PageQueryReportTypeModelRelDTO pageQueryReportTypeModelRelDTO);
}
