package com.persagy.apm.energy.report.config.rel.typeprojecttype.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.config.rel.typeprojecttype.model.vo.*;
import com.persagy.apm.energy.report.config.rel.typeprojecttype.model.dto.*;

import java.util.List;

/**
 * 报告类型和项目所属功能类型关联关系(ReportTypeProjectTypeRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:20:24 2021-05-19 11:20:24
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportTypeProjectTypeRelTool {

    ConvertReportTypeProjectTypeRelTool INSTANCE = Mappers.getMapper(ConvertReportTypeProjectTypeRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportTypeProjectTypeRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:20:24
     */
    ResponseReportTypeProjectTypeRelItemVO convert2ResponseItemDTO(ReportTypeProjectTypeRel reportTypeProjectTypeRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportTypeProjectTypeRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-19 11:20:24
     */
    ResponseReportTypeProjectTypeRelListItemVO convert2ResponseListItemDTO(ReportTypeProjectTypeRel reportTypeProjectTypeRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportTypeProjectTypeRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-19 11:20:24
     */
    List<ResponseReportTypeProjectTypeRelListItemVO> convert2List(List<ReportTypeProjectTypeRel> reportTypeProjectTypeRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportTypeProjectTypeRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:20:24
     */
    ReportTypeProjectTypeRel convertAddDto2Entity(AddReportTypeProjectTypeRelDTO addReportTypeProjectTypeRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportTypeProjectTypeRel          更新前的do对象
     * @param updateReportTypeProjectTypeRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:20:24
     */
    ReportTypeProjectTypeRel convertUpdateDto2Entity(@MappingTarget ReportTypeProjectTypeRel reportTypeProjectTypeRel, UpdateReportTypeProjectTypeRelDTO updateReportTypeProjectTypeRelDTO);
}

