package com.persagy.apm.energy.report.config.rel.typeprojecttype.service;

import com.persagy.apm.energy.report.config.rel.typeprojecttype.model.*;
import com.persagy.apm.energy.report.config.rel.typeprojecttype.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告类型和项目所属功能类型关联关系(ReportTypeProjectTypeRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 11:20:22
 */
public interface IReportTypeProjectTypeRelService {

    /**
     * 创建报告类型和项目所属功能类型关联关系
     *
     * @param addReportTypeProjectTypeRelDTO addDTO
     * @return 报告类型和项目所属功能类型关联关系主键
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    String createReportTypeProjectTypeRel(AddReportTypeProjectTypeRelDTO addReportTypeProjectTypeRelDTO);

    /**
     * 报告类型和项目所属功能类型关联关系详情
     *
     * @param id 主键
     * @return 报告类型和项目所属功能类型关联关系do对象
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    ReportTypeProjectTypeRel queryReportTypeProjectTypeRelDetail(String id);

    /**
     * 更新报告类型和项目所属功能类型关联关系
     *
     * @param updateReportTypeProjectTypeRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    void updateReportTypeProjectTypeRel(UpdateReportTypeProjectTypeRelDTO updateReportTypeProjectTypeRelDTO);

    /**
     * 删除报告类型和项目所属功能类型关联关系
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    void deleteReportTypeProjectTypeRel(String id);

    /**
     * 查询报告类型和项目所属功能类型关联关系
     *
     * @param queryReportTypeProjectTypeRelDTO queryDTO
     * @return List<ReportTypeProjectTypeRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    List<ReportTypeProjectTypeRel> queryReportTypeProjectTypeRelList(QueryReportTypeProjectTypeRelDTO queryReportTypeProjectTypeRelDTO);

    /**
     * 分页查询报告类型和项目所属功能类型关联关系
     *
     * @param pageQueryReportTypeProjectTypeRelDTO pageQueryDTO
     * @return IPage<ReportTypeProjectTypeRel>
     * @author lixing
     * @version V1.0 2021-05-19 11:20:22
     */
    IPage<ReportTypeProjectTypeRel> pageQueryReportTypeProjectTypeRel(PageQueryReportTypeProjectTypeRelDTO pageQueryReportTypeProjectTypeRelDTO);
}
